## inheritenv 0.2

=== Makefile ===
EMACS ?= emacs

# A space-separated list of required package names
NEEDED_PACKAGES = package-lint

INIT_PACKAGES="(progn \
  (require 'package) \
  (push '(\"melpa\" . \"https://melpa.org/packages/\") package-archives) \
  (package-initialize) \
  (dolist (pkg '(${NEEDED_PACKAGES})) \
    (unless (package-installed-p pkg) \
      (unless (assoc pkg package-archive-contents) \
        (package-refresh-contents)) \
      (package-install pkg))) \
  )"

all: compile package-lint test clean-elc

package-lint:
	${EMACS} -Q --eval ${INIT_PACKAGES} -batch -f package-lint-batch-and-exit inheritenv.el

test:
	${EMACS} -Q --eval ${INIT_PACKAGES} -batch -l inheritenv.el -l inheritenv-tests.el -f ert-run-tests-batch-and-exit

compile: clean-elc
	${EMACS} -Q --eval ${INIT_PACKAGES} -L . -batch -f batch-byte-compile *.el

clean-elc:
	rm -f f.elc

.PHONY:	all compile clean-elc package-lint

=== debian/changelog ===
inheritenv (0.2-3) unstable; urgency=medium

  * Team upload.
  * Skip build step that requires Internet (Closes: #1054655).

 -- Xiyue Deng <manphiz@gmail.com>  Mon, 06 Nov 2023 13:42:02 -0800

inheritenv (0.2-2) unstable; urgency=medium

  * Source-only upload for migration to testing.

 -- Roland Mas <lolando@debian.org>  Thu, 26 Oct 2023 13:24:24 +0200

inheritenv (0.2-1) unstable; urgency=medium

  * Initial release.

 -- Roland Mas <lolando@debian.org>  Fri, 13 Oct 2023 09:11:30 +0200

=== debian/control ===
Source: inheritenv
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Roland Mas <lolando@debian.org>
Build-Depends: debhelper-compat (= 13),
 dh-elpa
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/emacsen-team/inheritenv
Vcs-Git: https://salsa.debian.org/emacsen-team/inheritenv.git
Homepage: https://github.com/purcell/inheritenv
Testsuite: autopkgtest-pkg-elpa
Rules-Requires-Root: no

Package: elpa-inheritenv
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: Make temp buffers inherit buffer-local environment variables
 Environment variables in Emacs can be set buffer-locally, like many
 Emacs preferences, which allows users to have different buffer-local
 paths for executables in different projects, specified by a
 ".dir-locals.el" file or via a "direnv" integration like
 envrc (see https://github.com/purcell/envrc).
 .
 However, there's a fairly common pitfall when Emacs libraries run
 background processes on behalf of a user: many such libraries run
 processes in temporary buffers that do not inherit the calling
 buffer's environment.  This can result in executables not being found,
 or the wrong versions of executables being picked up.
 .
 An example is the Emacs built-in command
 `shell-command-to-string'.  Whatever buffer-local `process-environment'
 (or `exec-path') the user has set, that command will always use the
 Emacs-wide default.  This is *specified* behaviour, but not *expected*
 or *helpful*.
 .
 `inheritenv' provides a couple of tools for dealing with this
 issue:
 .
 1. Library authors can wrap code that plans to execute processes in
 temporary buffers with the `inheritenv' macro.
 2. End users can modify commands like `shell-command-to-string' using
 the `inheritenv-add-advice' macro.

=== debian/watch ===
version=4
opts="mode=git" git@github.com:purcell/inheritenv.git refs/tags/v([\d\.\d\.]+) debian
